TON DocsTON Docs
OnboardingNodesApplicationsAPIsContractsSmart contractsTolkTolk languageTVMTON Virtual MachineFoundationsBlockchain foundations

Get validator elections

GET
/api/v3/validators/elections

Return validator elections, optionally including matching participants.

Authorization

X-API-Key<token>

API key header of the form X-API-Key: <token>, where <token> is the API key. Requests without a key are limited to 1 RPS. Refer to the authentication guide for details.

In: header

Query Parameters

election_id?integer

Election ID.

stake_holder_address?string

Stakeholder address in any form.

adnl_address?string

ADNL address in hex, base64, or base64url form.

validator_pubkey?string

Validator public key in hex, base64, or base64url form.

return_participants?boolean

Return election participants. If stake_holder_address, adnl_address, or validator_pubkey is specified, return only matching participants.

Defaultfalse
finished?boolean

Filter by the finished flag.

start_utime?integer

Query elections with election_id at or after the specified value. This parameter filters election_id, not elect_close.

Range0 <= value
end_utime?integer

Query elections with election_id at or before the specified value. This parameter filters election_id, not elect_close.

Range0 <= value
limit?integer

Limit the number of rows to return. At most 100 when return_participants is true.

Formatint32
Range1 <= value <= 1000
Default10

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/api/v3/validators/elections"
{  "address_book": {    "property1": {      "domain": "string",      "interfaces": [        "string"      ],      "user_friendly": "string"    },    "property2": {      "domain": "string",      "interfaces": [        "string"      ],      "user_friendly": "string"    }  },  "elections": [    {      "election_id": 0,      "elect_close": 0,      "failed": true,      "finished": true,      "min_stake": "string",      "participants": [        {          "adnl_addr": "string",          "max_factor": 0,          "stake": "string",          "stake_holder_address": "string",          "validator_index": 0,          "validator_pubkey": "string"        }      ],      "total_participants": 0,      "total_stake": "string"    }  ]}